mochitest-chrome: intermittent crash at "linux-gate.so + 0x402" (or "ld-2.5.so + 0x7f2") + "libglib-2.0.so.0.1200.3 + 0x2e282"

RESOLVED WORKSFORME

Status

()

Core
General
--
critical
RESOLVED WORKSFORME
8 years ago
5 years ago

People

(Reporter: sgautherie, Unassigned)

Tracking

(Blocks: 1 bug, {crash, intermittent-failure})

Trunk
x86
Linux
crash, intermittent-failure
Points:
---
Dependency tree / graph

Firefox Tracking Flags

(blocking2.0 -)

Details

(Whiteboard: [crash which aborts the suite])

(Reporter)

Description

8 years ago
A few previous builds did not crash, but no conclusion as this is random...

First failing build:
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1264710399.1264712477.16335.gz
Linux comm-central-trunk debug test mochitest-other on 2010/01/28 12:26:39
{
Crash reason:  SIGSEGV
[...]
Thread 0 (crashed)
 0  linux-gate.so + 0x402
    eip = 0x002ec402   esp = 0xbfc36804   ebp = 0xbfc36818   ebx = 0x0a037168
    esi = 0x00000bd1   edi = 0x02cb5ff4   eax = 0xfffffffc   ecx = 0x00000009
    edx = 0x00000bd1   efl = 0x00200246
    Found by: given as instruction pointer in context
 1  libglib-2.0.so.0.1200.3 + 0x2e282
    eip = 0x009f4283   esp = 0xbfc36820   ebp = 0xbfc36878
    Found by: previous frame's frame pointer
 2  libglib-2.0.so.0.1200.3 + 0x2e7b4
    eip = 0x009f47b5   esp = 0xbfc36880   ebp = 0xbfc36898
    Found by: previous frame's frame pointer
 3  libwidget_gtk2.so!nsAppShell::ProcessNextNativeEvent(int) [nsAppShell.cpp:234146dafae3 : 147 + 0x12]
    eip = 0x012fca9d   esp = 0xbfc368a0   ebp = 0xbfc368b8
    Found by: previous frame's frame pointer
 4  libwidget_gtk2.so!nsBaseAppShell::DoProcessNextNativeEvent(int) [nsBaseAppShell.cpp:234146dafae3 : 155 + 0x18]
    eip = 0x0132708d   esp = 0xbfc368c0   ebp = 0xbfc368d8
    Found by: previous frame's frame pointer
 5  libwidget_gtk2.so!nsBaseAppShell::OnProcessNextEvent(nsIThreadInternal*, int, unsigned int) [nsBaseAppShell.cpp:234146dafae3 : 311 + 0x11]
    eip = 0x013275b1   esp = 0xbfc368e0   ebp = 0xbfc36928
    Found by: previous frame's frame pointer
 6  libxpcom_core.so!nsThread::ProcessNextEvent(int, int*) [nsThread.cpp:234146dafae3 : 508 + 0x61]
    eip = 0x00eddab5   esp = 0xbfc36930   ebp = 0xbfc36998
    Found by: previous frame's frame pointer
 7  libxpcom_core.so!NS_ProcessNextEvent_P(nsIThread*, int) [nsThreadUtils.cpp : 250 + 0x1f]
    eip = 0x00e643c9   esp = 0xbfc369a0   ebp = 0xbfc369d8
    Found by: previous frame's frame pointer
 8  libwidget_gtk2.so!nsBaseAppShell::Run() [nsBaseAppShell.cpp:234146dafae3 : 177 + 0x12]
    eip = 0x013277fe   esp = 0xbfc369e0   ebp = 0xbfc36a18
    Found by: previous frame's frame pointer
 9  libtoolkitcomps.so!nsAppStartup::Run() [nsAppStartup.cpp:234146dafae3 : 183 + 0x1b]
    eip = 0x015516ed   esp = 0xbfc36a20   ebp = 0xbfc36a58
    Found by: previous frame's frame pointer
10  libxul.so!XRE_main [nsAppRunner.cpp:234146dafae3 : 3476 + 0x1b]
    eip = 0x00872fd1   esp = 0xbfc36a60   ebp = 0xbfc37018
    Found by: previous frame's frame pointer
11  seamonkey-bin!main [nsSuiteApp.cpp:2d3f3fe9f3f4 : 105 + 0x1d]
    eip = 0x08048b06   esp = 0xbfc37020   ebp = 0xbfc37078
    Found by: previous frame's frame pointer
12  libc-2.5.so + 0x15deb
    eip = 0x02b92dec   esp = 0xbfc37080   ebp = 0xbfc370e8
    Found by: previous frame's frame pointer
13  seamonkey-bin + 0x8d0
    eip = 0x080488d1   esp = 0xbfc370f0   ebp = 0x00000000
    Found by: previous frame's frame pointer
14  seamonkey-bin!_ZL6OutputPKcz [nsSuiteApp.cpp:2d3f3fe9f3f4 : 74 + 0x5]
    eip = 0x080489c0   esp = 0xbfc370f4   ebp = 0x00000000
    Found by: stack scanning
15  seamonkey-bin!ScopedLogging::~ScopedLogging() [nsSuiteApp.cpp:2d3f3fe9f3f4 : 83 + 0x27]
    eip = 0x080490d0   esp = 0xbfc37100   ebp = 0x00000000
    Found by: stack scanning
16  seamonkey-bin!ScopedLogging::~ScopedLogging() [nsSuiteApp.cpp:2d3f3fe9f3f4 : 83 + 0x17]
    eip = 0x080490c0   esp = 0xbfc37104   ebp = 0x00000000
    Found by: stack scanning
17  ld-2.5.so + 0xe2cf
    eip = 0x007f22d0   esp = 0xbfc37108   ebp = 0x00000000
    Found by: stack scanning
18  ld-2.5.so + 0x1688a
    eip = 0x007fa88b   esp = 0xbfc37110   ebp = 0x00000000
    Found by: stack scanning
}
(Reporter)

Updated

8 years ago
Summary: [SeaMonkey 2.1] mochitest-chrome: intermittent crash at "linux-gate.so + 0x402" + "libglib-2.0.so.0.1200.3 + 0x2e282" → [SeaMonkey trunk] mochitest-chrome: intermittent crash at "linux-gate.so + 0x402" + "libglib-2.0.so.0.1200.3 + 0x2e282"
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268682010.1268683836.16754.gz&fulltext=1#err1
Linux mozilla-central opt test mochitest-other on 2010/03/15 12:40:10

Same crash for Firefox:

 0  ld-2.5.so + 0x7f2
    eip = 0x00a6f7f2   esp = 0xbfe802e4   ebp = 0xbfe802f8   ebx = 0xb40208c0
    esi = 0x0000092b   edi = 0x07d0fff4   eax = 0xfffffffc   ecx = 0x00000008
    edx = 0x0000092b   efl = 0x00200246
    Found by: given as instruction pointer in context
 1  libglib-2.0.so.0.1200.3 + 0x2e282
    eip = 0x00188283   esp = 0xbfe80300   ebp = 0xbfe80358
    Found by: previous frame's frame pointer
 2  libglib-2.0.so.0.1200.3 + 0x2e7b4
    eip = 0x001887b5   esp = 0xbfe80360   ebp = 0xbfe80378
    Found by: previous frame's frame pointer
 3  libxul.so!nsAppShell::ProcessNextNativeEvent(int) [nsAppShell.cpp:540a1651c059 : 147 + 0x9]
    eip = 0x01624b6c   esp = 0xbfe80380   ebp = 0xbfe80398
    Found by: previous frame's frame pointer
 4  libxul.so!nsBaseAppShell::DoProcessNextNativeEvent(int) [nsBaseAppShell.cpp:540a1651c059 : 155 + 0xa]
    eip = 0x01639584   esp = 0xbfe803a0   ebp = 0xbfe803b8
    Found by: previous frame's frame pointer
 5  libxul.so!nsBaseAppShell::OnProcessNextEvent(nsIThreadInternal*, int, unsigned int) [nsBaseAppShell.cpp:540a1651c059 : 311 + 0xa]
    eip = 0x0163970d   esp = 0xbfe803c0   ebp = 0xbfe803e8
    Found by: previous frame's frame pointer
 6  libxul.so!nsThread::ProcessNextEvent(int, int*) [nsThread.cpp:540a1651c059 : 508 + 0x1c]
    eip = 0x0174d864   esp = 0xbfe803f0   ebp = 0xbfe80428
    Found by: previous frame's frame pointer
 7  libxul.so!NS_ProcessNextEvent_P(nsIThread*, int) [nsThreadUtils.cpp : 250 + 0xd]
    eip = 0x0171d0fc   esp = 0xbfe80430   ebp = 0xbfe80458
    Found by: previous frame's frame pointer
 8  libxul.so!mozilla::ipc::MessagePump::Run(base::MessagePump::Delegate*) [MessagePump.cpp:540a1651c059 : 142 + 0xb]
    eip = 0x016da46e   esp = 0xbfe80460   ebp = 0xbfe80498
    Found by: previous frame's frame pointer
 9  libxul.so!MessageLoop::RunInternal() [message_loop.cc:540a1651c059 : 216 + 0x8]
    eip = 0x01789146   esp = 0xbfe804a0   ebp = 0xbfe804b8
    Found by: previous frame's frame pointer
10  libxul.so!MessageLoop::RunHandler() [message_loop.cc:540a1651c059 : 199 + 0x7]
    eip = 0x0178916a   esp = 0xbfe804c0   ebp = 0xbfe804d8
    Found by: previous frame's frame pointer
11  libxul.so!MessageLoop::Run() [message_loop.cc:540a1651c059 : 173 + 0x7]
    eip = 0x017891e1   esp = 0xbfe804e0   ebp = 0xbfe80518
    Found by: previous frame's frame pointer
12  libxul.so!nsBaseAppShell::Run() [nsBaseAppShell.cpp:540a1651c059 : 174 + 0xd]
...
Summary: [SeaMonkey trunk] mochitest-chrome: intermittent crash at "linux-gate.so + 0x402" + "libglib-2.0.so.0.1200.3 + 0x2e282" → mochitest-chrome: intermittent crash at "linux-gate.so + 0x402" (or "ld-2.5.so + 0x7f2") + "libglib-2.0.so.0.1200.3 + 0x2e282"
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268889199.1268891675.9763.gz
Linux mozilla-central debug test mochitest-other on 2010/03/17 22:13:19
s: moz2-linux-slave09
(Same stack as comment 1)

Comment 3

8 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1269292401.1269294546.14783.gz
Linux mozilla-central opt test mochitest-other on 2010/03/22 14:13:21
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1269506943.1269508021.15446.gz&fulltext=1
Linux mozilla-central opt test mochitest-other on 2010/03/25 01:49:03  
s: moz2-linux-slave27
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270154214.1270157041.15910.gz
Linux mozilla-central debug test mochitest-other on 2010/04/01 13:36:54
s: moz2-linux-slave26
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270757326.1270759043.3207.gz
Linux mozilla-central opt test mochitests-5/5 on 2010/04/08 13:08:46
s: mv-moz2-linux-ix-slave03
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270765536.1270767586.29822.gz
Linux mozilla-central debug test mochitest-other on 2010/04/08 15:25:36
s: moz2-linux-slave01
Comment 8 was probably incorrect for this bug -- I posted it here because it includes "ld-2.5.so + 0x7f2" as stack-level 0 in Thread 0 of the bottommost crash-stack (in the full log), but it's on a mochitest-5/5 box (unlike all the other logs here), and philor later marked that log as a different bug (bug 554754).

I guess that means that crashes at "ld-2.5.so + 0x7f2" aren't all necessarily this bug.
D'oh, and philor points out in IRC that like comment 9 is actually bug 542928 -- if you load the full log (and wait a few minutes for it to fully load), jump to the crash stack, and then page up past a few hundred lines of assertion-backtrace-spew, you'll see that the last "INFO" message before the crash is:
> (browser-test.js) | Waiting for window activation...
...during browser_bug511456.js.  Hence, bug 542928.

Comment 14

8 years ago
isn't this a gnome bug determined to be fixed by an update to ubuntu?

Updated

8 years ago
blocking2.0: ? → -

Updated

5 years ago
Status: NEW → RESOLVED
Last Resolved: 5 years ago
Resolution: --- → WORKSFORME
(Assignee)

Updated

5 years ago
Keywords: intermittent-failure
(Assignee)

Updated

5 years ago
Whiteboard: [orange] [crash which aborts the suite] → [crash which aborts the suite]
You need to log in before you can comment on or make changes to this bug.